#!/bin/bash

# By James Banks, released CC0

clear
echo "How many source sentences?"
read response
x=$( ls *.comb | wc -l )
if [  $x -le $response ]
  then
    echo "The machine cranks and whirrs and slowly prints a card saying"
    echo "    NOT ENOUGH SENTENCES IN THE HOPPER"
  else
    rm sources.txt
    for i in $( ls *.comb | shuf -n $response )
      do
        echo $i >> sources.txt
    done
    echo "### SOURCES:"
    for i in $( cat sources.txt )
      do
       echo " "
       cat $i
    done
    echo " "
    echo " "
    echo "### YOUR INPUT:"
    echo " "
    combeditor.sh
    echo "You feed the newly concatenated sentences into the machine."
    echo "It whirrs and rumbles:"
    echo "    ENTER NEW SENTENCE NAME"
    read name
    echo "    REALLY SAVE THIS? (n TO NOT SAVE, OTHER RESPONSES SAVE)"
    read savechoice
    if [ ! $savechoice == "n" ]
      then
        cp edtmp.txt $name.comb
        echo " " >> history.txt
        echo " " >> history.txt
        echo "-----------------------------" >> history.txt
        for source in $( cat sources.txt )
          do
            echo "  "$source >> history.txt
            cat  $source >> history.txt
        done
        echo "" >> history.txt
        echo "  "$name.comb >> history.txt
        cat $name.comb >> history.txt
        user=$( whoami )
        echo "--("$user" "$( date )")" >> history.txt
    fi
 mv edtmp.txt scratch.txt
fi
